eoFlOrAllAtomQuadOp(3)

NAME
eoFlOrAllAtomQuadOp - Quad Crossover using an Atom Crossover.

SYNOPSIS

#include <eoFlOrQuadOp.h>

Inherits eoQuadOp< EOT >.

  Public Types
typedef EOT::AtomType AtomType

  Public Member Functions
eoFlOrAllAtomQuadOp (eoQuadOp< AtomType > &_op, double _rate=1)
default ctor: requires an Atom QuadOp
bool operator() (EOT &_eo1, EOT &_eo2)
applies Atom crossover to ALL components with given rate
virtual string className () const
inherited className()

  Private Attributes
double rate
eoQuadOp< AtomType > & op

Detailed Description

  template<class EOT> class eoFlOrAllAtomQuadOp< EOT >
Quad Crossover using an Atom Crossover.

Definition at line 46 of file eoFlOrQuadOp.h.

Author

Generated automatically by Doxygen for EO from the source code.